/* OdLib_Io - Copyright (c) 2007-2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.opendocument.io;


/**
 *
 * @author Vincent Calame
 */
public final class OdZip {

    private final short odType;
    private OdSource contentOdSource;
    private OdSource stylesOdSource;
    private PictureProvider pictureProvider;


    private OdZip(short odType) {
        this.odType = odType;
    }

    public short getOdType() {
        return odType;
    }

    public OdSource getContentOdSource() {
        return contentOdSource;
    }

    public OdZip setContentOdSource(OdSource contentOdSource) {
        this.contentOdSource = contentOdSource;
        return this;
    }

    public OdSource getStylesOdSource() {
        return stylesOdSource;
    }

    public OdZip setStylesOdSource(OdSource stylesOdSource) {
        this.stylesOdSource = stylesOdSource;
        return this;
    }

    public PictureProvider getPictureProvider() {
        return pictureProvider;
    }

    public OdZip setPictureProvider(PictureProvider pictureProvider) {
        this.pictureProvider = pictureProvider;
        return this;
    }

    public static OdZip newInstance(short odType) {
        return new OdZip(odType);
    }

}
