/* Scrutari - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages;

import fr.exemole.sctserver.api.SctEngine;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public class ScrutariJsPage extends AdminHtmlPage {

    public ScrutariJsPage(SctEngine engine, Lang workingLang) {
        super(engine, workingLang);
        String resourcesPath = "../resources/";
        addJsUrl(resourcesPath + "third-lib/scrutarijs/html/bootstrap3.js");
        Lang checkedLang = checkLang(workingLang);
        addJsUrl(resourcesPath + "third-lib/scrutarijs/l10n/" + checkedLang.toString() + ".js");
        addJsUrl(resourcesPath + "third-lib/scrutarijs/scrutarijs.js");
        addJsUrl(resourcesPath + "js/init-scrutarijs.js");
        addCssUrl(resourcesPath + "third-lib/scrutarijs/scrutarijs.css");
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        this
                .SCRIPT()
                .escape("var ENGINE_NAME = ")
                .scriptLiteral(engine.getEngineName())
                .escape(";")
                .scriptLineEnd()
                ._SCRIPT();
        printTools();
        this
                .DIV(HA.id("mainContainer").classes("container"))
                ._DIV();
        end();
    }

    private static Lang checkLang(Lang lang) {
        Lang rootLang = lang.getRootLang();
        switch (rootLang.toString()) {
            case "de":
            case "en":
            case "es":
            case "fr":
            case "it":
                return rootLang;
            default:
                return Lang.build("fr");
        }
    }

}
