/* ScrutariLib_Supermotcle - Copyright (c) 2009-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.supermotcle.api;

import java.util.List;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.collation.CollationUnit;
import net.scrutari.db.api.codes.ElementCodes;


/**
 *
 * @author Vincent Calame
 */
public interface Supermotcle {

    public Lang getLang();

    public int getCode();

    public CollationUnit getCollationUnit();

    public ElementCodes getMotcleCodes();

    public int getIndexationCount();

    public List<IndexationByBase> getIndexationByBaseList();


    public interface IndexationByBase {

        public int getBaseCode();

        public int getIndexationCount();

    }

}
