/* SctServer - Copyright (c) 2011-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request;

import net.mapeadores.util.text.StringUtils;


/**
 *
 * @author Vincent Calame
 */
public class IntitulesFilter {

    private boolean withCorpus = false;
    private boolean withBase = false;
    private boolean withThesaurus = false;
    private boolean withComplement = false;
    private boolean withAttributes = false;

    public boolean isWithCorpus() {
        return withCorpus;
    }

    public void setWithCorpus(boolean withCorpus) {
        this.withCorpus = withCorpus;
    }

    public boolean isWithBase() {
        return withBase;
    }

    public void setWithBase(boolean withBase) {
        this.withBase = withBase;
    }

    public boolean isWithThesaurus() {
        return withThesaurus;
    }

    public void setWithThesaurus(boolean withThesaurus) {
        this.withThesaurus = withThesaurus;
    }

    public boolean isWithComplement() {
        return withComplement;
    }

    public void setWithComplement(boolean withComplement) {
        this.withComplement = withComplement;
    }

    public boolean isWithAttributes() {
        return withAttributes;
    }

    public void setWithAttributes(boolean withAttributes) {
        this.withAttributes = withAttributes;
    }

    public void buildFromString(String s) {
        String[] tokens = StringUtils.getTechnicalTokens(s, true);
        int count = tokens.length;
        for (int i = 0; i < count; i++) {
            String token = tokens[i];
            if (token.equals("thesaurus")) {
                setWithThesaurus(true);
            } else if (token.equals("base")) {
                setWithBase(true);
            } else if (token.equals("corpus")) {
                setWithCorpus(true);
            } else if (token.equals("complement")) {
                setWithComplement(true);
            } else if (token.equals("attributes")) {
                setWithAttributes(true);
            }
        }
    }

}
