/* UtilLib - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public class CommandBoxParametersBuilder {

    private InternalCommandBoxParameters commandBoxParameters = new InternalCommandBoxParameters();

    public CommandBoxParametersBuilder() {
    }

    public void setFieldsetAttributes(HtmlAttributes fieldsetAttributes) {
        commandBoxParameters.fieldsetAttributes = fieldsetAttributes;
    }

    public void setFormAttributes(HtmlAttributes formAttributes) {
        commandBoxParameters.formAttributes = formAttributes;
    }

    public void setCommandKeyDivAttributes(HtmlAttributes commandKeyDivAttributes) {
        commandBoxParameters.commandKeyDivAttributes = commandKeyDivAttributes;
    }

    public void setLegendAttributes(HtmlAttributes legendAttributes) {
        commandBoxParameters.legendAttributes = legendAttributes;
    }

    public void setSubmitDivAttributes(HtmlAttributes submitDivAttributes) {
        commandBoxParameters.submitDivAttributes = submitDivAttributes;
    }

    public CommandBoxParameters toCommandBoxParameters() {
        return commandBoxParameters;
    }


    private static class InternalCommandBoxParameters implements CommandBoxParameters {

        private HtmlAttributes formAttributes;
        private HtmlAttributes fieldsetAttributes;
        private HtmlAttributes legendAttributes;
        private HtmlAttributes commandKeyDivAttributes;
        private HtmlAttributes submitDivAttributes;

        private InternalCommandBoxParameters() {
        }

        public HtmlAttributes getFieldsetAttributes() {
            return fieldsetAttributes;
        }

        public HtmlAttributes getLegendAttributes() {
            return legendAttributes;
        }

        public HtmlAttributes getCommandKeyDivAttributes() {
            return commandKeyDivAttributes;
        }

        public HtmlAttributes getFormAttributes() {
            return formAttributes;
        }

        public HtmlAttributes getSubmitDivAttributes() {
            return submitDivAttributes;
        }

    }

}
